# Class Tools.AutoDoc.PikeObjects._Class_or_Module

Inheritance graph

Description

  Base class for representing classes, modules and namespaces.

See also

  Class, Module, NameSpace, AutoDoc, Modifier

Variable children

  ``array`(`_Class_or_Module`) Tools.AutoDoc.PikeObjects._Class_or_Module.children`

Description

  Entities that are children to this entity.

Variable docGroups

  ``array`(`DocGroup`) Tools.AutoDoc.PikeObjects._Class_or_Module.docGroups`

Description

  Documented entities that are children to this entity.

Variable documentation

  ``Documentation` Tools.AutoDoc.PikeObjects._Class_or_Module.documentation`

Note

  The documentation appears as a child of the <class> or <module>

Inherit PikeObject

  `inherit PikeObject : PikeObject`

Variable inherits

  ``array`(`Inherit`|`Import`) Tools.AutoDoc.PikeObjects._Class_or_Module.inherits`

Description

  Inherits and Imports that affect the symbol lookup for the entity.